## samblaster 0.1.24

=== Makefile ===
# Determine the samblaster build number
BUILDNUM = 24
# INTERNAL = TRUE

OBJS = samblaster.o sbhash.o

ifdef INTERNAL
PROG = samblaster$(BUILDNUM)
CCFLAGS  = -Wall -Winline -O0 -g -D BUILDNUM=$(BUILDNUM)
else
PROG = samblaster
CCFLAGS  = -Wall -O3 -D BUILDNUM=$(BUILDNUM)
endif

CC	 = gcc
CPP      = g++

CFLAGS = $(CCFLAGS) -std=gnu99
CPPFLAGS = $(CCFLAGS)

SAMBLASTER: $(PROG)

$(PROG): $(OBJS)
	$(CPP) $(LDFLAGS) -o $@ $(OBJS)

%.o: %.cpp
	$(CPP) $(CPPFLAGS) -c $< -o $@

clean:
	rm -f $(PROG)  *.o *.co *.linkinfo

=== debian/changelog ===
samblaster (0.1.24-1) unstable; urgency=medium

  * Initial release (Closes: #903515)

 -- Steffen Moeller <moeller@debian.org>  Tue, 10 Jul 2018 22:52:21 +0200

=== debian/control ===
Source: samblaster
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.5
Homepage:  https://github.com/GregoryFaust/samblaster
Vcs-Browser: https://salsa.debian.org/med-team/samblaster
Vcs-Git: https://salsa.debian.org/med-team/samblaster.git

Package: samblaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: marks duplicates, extracts discordant/split reads
 Current "next-generation" sequencing technologies cannot tell what
 exact sequence they will be reading. They take what is available. And
 if some sequences are read very often, then this needs some extra
 biomedical thinking. The genome could for instance be duplicated.
 .
 samblaster is a fast and flexible program for marking duplicates in
 read-id grouped paired-end SAM files. It can also optionally output
 discordant read pairs and/or split read mappings to separate SAM files,
 and/or unmapped/clipped reads to a separate FASTQ file. When marking
 duplicates, samblaster will require approximately 20MB of memory per
 1M read pairs.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%samblaster-$1.tar.gz%" \
   https://github.com//GregoryFaustsamblaster/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## samblaster 0.1.25

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Determine the samblaster build number
-BUILDNUM = 24
+BUILDNUM = 25
 # INTERNAL = TRUE
 
 OBJS = samblaster.o sbhash.o

## samblaster 0.1.26

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # Determine the samblaster build number
-BUILDNUM = 25
+BUILDNUM = 26
 # INTERNAL = TRUE
 
 OBJS = samblaster.o sbhash.o
 
 ifdef INTERNAL
 PROG = samblaster$(BUILDNUM)
-CCFLAGS  = -Wall -Winline -O0 -g -D BUILDNUM=$(BUILDNUM)
+CCFLAGS  = -Wall -Winline -Wliteral-suffix -O0 -g -D BUILDNUM=$(BUILDNUM)
 else
 PROG = samblaster
 CCFLAGS  = -Wall -O3 -D BUILDNUM=$(BUILDNUM)

=== debian/changelog ===
samblaster (0.1.26-4) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 15:33:46 +0100

samblaster (0.1.26-3) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 15:00:11 +0200

samblaster (0.1.26-2) unstable; urgency=medium

  * Team Upload.
  [ Steffen Möller ]
  * Update metadata
    - update bio.tools entry
    - added ref to guix

  [ Shruti Sridhar ]
  * Add Autopkgtests
  * Install docs
    - d/tests/run-unit-test
    - d/README*

  [ Nilesh Patra ]
  * d/p/Makefile.patch: Propagate hardening options
  * Declare compliance with policy 4.5.1

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Mon, 16 Aug 2021 15:54:32 +0530

samblaster (0.1.26-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Thu, 02 Jul 2020 14:56:11 +0200

samblaster (0.1.25-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Mar 2020 02:24:53 +0100

samblaster (0.1.24-2) unstable; urgency=medium

  * Team upload.
  * Fix and simplify watch file
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 09:32:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: samblaster
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.5
-Homepage:  https://github.com/GregoryFaust/samblaster
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/samblaster
 Vcs-Git: https://salsa.debian.org/med-team/samblaster.git
+Homepage: https://github.com/GregoryFaust/samblaster
+Rules-Requires-Root: no
 
 Package: samblaster
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: marks duplicates, extracts discordant/split reads
  Current "next-generation" sequencing technologies cannot tell what
  exact sequence they will be reading. They take what is available. And

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, samtools
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/GregoryFaust/samblaster/tags .*/v?\.?@ANY_VERSION@@ARCHIVE_EXT@
